> For the complete documentation index, see [llms.txt](https://docs.apono.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apono.io/metadata-for-integration-config/integration-metadata/windows-domain.md).

# Windows Domain Servers

Manage RDP access to the Windows servers of an Active Directory domain. Access is granted by changing Active Directory group membership over LDAP, so the connector only needs to reach a domain control

## Example Usage

***

{% tabs %}
{% tab title="Terraform" %}
{% code title="windows-domain-integration.tf" %}

```tf
resource "apono_integration" "windows-domain-integration" {
  name                     = "Windows Domain Servers"
  type                     = "windows-domain"
  connector_id             = "apono-connector-id"
  connected_resource_types = ["windows-domain-server"]
  metadata = {
    url = "<LDAP Server URL>"
    rdp_port = "<RDP Port>"
    computers_scope = "<Computers Scope>"
    groups_scope = "<Groups Scope>"
    user_email_attribute = "<User Email Attribute>"
    custom_ca_cert = "<Self-signed server or CA certificate>"
    enable_session_audit = "<Audit sessions>"
  }
  kubernetes_secret = {
    name      = "name_template_value"
    namespace = "namespace_template_value"
  }
}
```

{% endcode %}
{% endtab %}

{% tab title="Terraform V2" %}
{% code title="windows-domain-integration.tf" %}

```tf
resource "apono_resource_integration" "windows-domain-integration" {
  name                     = "Windows Domain Servers"
  type                     = "windows-domain"
  connector_id             = "apono-connector-id"
  connected_resource_types = ["windows-domain-server"]
  integration_config = {
    url = "<LDAP Server URL>"
    rdp_port = "<RDP Port>"
    computers_scope = "<Computers Scope>"
    groups_scope = "<Groups Scope>"
    user_email_attribute = "<User Email Attribute>"
    custom_ca_cert = "<Self-signed server or CA certificate>"
    enable_session_audit = "<Audit sessions>"
  }
  secret_store_config = {
    kubernetes = {
      name      = "name_template_value"
      namespace = "namespace_template_value"
    }
}
```

{% endcode %}
{% endtab %}

{% tab title="Public API" %}
{% code title="windows-domain-integration.json" %}

```json
{
    "windows-domain-integration": {
        "name": "Windows Domain Servers",
        "type": "windows-domain",
        "connector_id": "apono-connector-id",
        "connected_resource_types": [
            "windows-domain-server"
        ],
        "integration_config": {
            "url": "<LDAP Server URL>",
            "rdp_port": "<RDP Port>",
            "computers_scope": "<Computers Scope>",
            "groups_scope": "<Groups Scope>",
            "user_email_attribute": "<User Email Attribute>",
            "custom_ca_cert": "<Self-signed server or CA certificate>",
            "enable_session_audit": "<Audit sessions>",
        },
	"secret_store_config": {
    	    "name": "name_template_value",
    	    "namespace": "namespace_template_value"
  	    }
    }
}
```

{% endcode %}
{% endtab %}
{% endtabs %}

## Schema

***

* `type` windows-domain
* `connected_resource_types` List of resource types to sync.

<details>

<summary>Available resource types you can use</summary>

* windows-domain-server

</details>

### Integration Config

***

* `url` (Required | String) LDAP Server URL
* `rdp_port` (Optional | String) RDP Port
  * Default value: `3389`
* `computers_scope` (Required | String) Computers Scope
* `groups_scope` (Optional | String) Groups Scope
* `user_email_attribute` (Optional | String) User Email Attribute
  * Default value: `mail`
* `custom_ca_cert` (Optional | String) Self-signed server or CA certificate
* `enable_session_audit` (Optional | String) Audit sessions
  * Default value: `false`
  * Possible values: true, false


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apono.io/metadata-for-integration-config/integration-metadata/windows-domain.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
